Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes
Class Statistics

    java.lang.Object
      classes.Statistics

    public class Statistics

extends java.lang.Object

A Statistics osztály segítségével azon információkat tárolhatjuk, melyek alapján a kimutatásokat készítjük.

Constructor Summary
`Statistics(boolean[] type, java.sql.Date fromDate, java.sql.Date toDate, java.lang.String category)` Létrehoz egy Statistics objektumot a megadott értékekkel.

Method Summary
`java.lang.String` | `getCategory()` A metódus segítségével lekérdezhető a kimutatás készítésénél milyen megnevezésű/kategóriájú tételek kerüljenek be az eredményhalmazba.
`java.sql.Date` | `getFromDate()` A metódus segítségével lekérdezhető a kimutatás eredményhalmazába bekerül számlák dátumának alsó határa.
`java.sql.Date` | `getToDate()` A metódus segítségével lekérdezhető a kimutatás eredményhalmazába bekerül számlák dátumának felső határa.
`boolean[]` | `getType()` A metódus segítségével lekérdezhető, hogy a készülő kimutatásban milyen oszlopok jelennek meg.
`void` | `setCategory(java.lang.String category)` A metódus segítségével beállítható, hogy a kimutatás milyen megnevezésű tételek alapján készüljön.
`void` | `setFromDate(java.sql.Date fromDate)` A metódus segítségével beállítható a kimutatáshoz használt számlák dátumának alsó határa.
`void` | `setToDate(java.sql.Date toDate)` A metódus segítségével beállítható a kimutatáshoz használt számlák dátumának felső határa.
`void` | `setType(boolean[] type)` A metódus segítségével beállítható, hogy a készülő kimutatásban milyen oszlopok jelenjenek meg.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statistics

    public Statistics(boolean[] type,
                      java.sql.Date fromDate,
                      java.sql.Date toDate,
                      java.lang.String category)

  Létrehoz egy Statistics objektumot a megadott értékekkel.

  Parameters:
    `type` - A kimutatásban megjelenő oszlopok
    `fromDate` - A kimutatásban résztvevő számlák dátumának alsó határa
    `toDate` - A kimutatásban résztvevő számlák dátumának felső határa
    `category` - A kimutatásban résztvevő számlák tételeinek megnevezése/kategóriája

Method Detail

### getCategory

    public java.lang.String getCategory()

  A metódus segítségével lekérdezhető a kimutatás készítésénél milyen megnevezésű/kategóriájú tételek kerüljenek be az eredményhalmazba.

  Returns:
    A termékek/szolgáltatások kategóriája, megnevezése

### getFromDate

    public java.sql.Date getFromDate()

  A metódus segítségével lekérdezhető a kimutatás eredményhalmazába bekerül számlák dátumának alsó határa.

  Returns:
    A szűrés alapjául szolgáló kezdődátum

### getToDate

    public java.sql.Date getToDate()

  A metódus segítségével lekérdezhető a kimutatás eredményhalmazába bekerül számlák dátumának felső határa.

  Returns:
    A szűrés alapjául szolgáló végdátum

### getType

    public boolean[] getType()

  A metódus segítségével lekérdezhető, hogy a készülő kimutatásban milyen oszlopok jelennek meg.
  A metódus egy boolean értékeket tartalmazó, 3 elemű tömböt ad vissza, ahol az egyes elemek jelentése:
  0. elem - Bevétel
  1. elem - Kiadás
  2. elem - Szabad készpénz

  Returns:
    A kimutatás eredményét meghatározó tömb, amelyik eleme igaz, az ahhoz kapcsolódó oszlop megjelenik.

### setCategory

    public void setCategory(java.lang.String category)

  A metódus segítségével beállítható, hogy a kimutatás milyen megnevezésű tételek alapján készüljön.

  Parameters:
    `category` - A tételek/szolgáltatások megnevezése

### setFromDate

    public void setFromDate(java.sql.Date fromDate)

  A metódus segítségével beállítható a kimutatáshoz használt számlák dátumának alsó határa.

  Parameters:
    `fromDate` - A számlák dátumának alsó határa

### setToDate

    public void setToDate(java.sql.Date toDate)

  A metódus segítségével beállítható a kimutatáshoz használt számlák dátumának felső határa.

  Parameters:
    `toDate` - A számlák dátumának felső határa

### setType

    public void setType(boolean[] type)

  A metódus segítségével beállítható, hogy a készülő kimutatásban milyen oszlopok jelenjenek meg.
  A metódus egy boolean értékeket tartalmazó, 3 elemű tömböt kap meg, ahol az egyes elemek jelentése:
  0. elem - Bevétel
  1. elem - Kiadás
  2. elem - Szabad készpénz

  Parameters:
    `type` - A kimutatás eredményét meghatározó tömb, amelyik eleme igaz, az ahhoz kapcsolódó oszlop megjelenik.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD